Package org.apache.commons.math3.geometry.hull

# Interface ConvexHullGenerator<S extends Space,P extends Point<S>>

Type Parameters:
  `S` - Type of the `Space`
  `P` - Type of the `Point`

All Known Subinterfaces:
  `ConvexHullGenerator2D`

All Known Implementing Classes:
  `MonotoneChain`

public interface ConvexHullGenerator<S extends Space,P extends Point<S>>
Interface for convex hull generators.

Since:
  3.3
See Also:
  - Convex Hull (Wikipedia)
  - Convex Hull (MathWorld)

## Method Summary

Modifier and Type
Method
Description
`ConvexHull<S,P>`
`generate(Collection<P> points)`
Builds the convex hull from the set of input points.

## Method Details

### generate

ConvexHull<S,P> generate(Collection<P> points) throws NullArgumentException, ConvergenceException
Builds the convex hull from the set of input points.

Parameters:
  `points` - the set of input points
Returns:
  the convex hull
Throws:
  `NullArgumentException` - if the input collection is `null`
  `ConvergenceException` - if generator fails to generate a convex hull for the given set of input points